<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 返品依頼の一覧
 *
 * @package     [[package名]]
 * @author      H.Watanabe <hiroshi.watanabe@netnee.jp>
 * @access      public
 */
class Admin_Ordermanage_Prereturn_List
{
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    
    // components
    var $db_order;
    
    
    var $return_list;
    
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Ordermanage_Prereturn_Listが実行されました", "Admin_Ordermanage_Prereturn_List#execute");
        
        $this->return_list = $this->db_order->getPreReturnList();
        
        return 'success';
    }

    function getVariationNm($params) 
    {
        return $this->db_order->getVariationNm($params["itemcd"], $params["structcd"]);
    }
}
?>
